using System.Collections.ObjectModel;
using System.ComponentModel;
using GalaSoft.MvvmLight;
using Infragistics.Windows.DataPresenter;
using GalaSoft.MvvmLight.Command;

namespace TestRobot.ViewModel
{

    public class MainViewModel : ViewModelBase
    {

        private ObservableCollection<Employee> _employees;


        public ObservableCollection<Employee> Employees
        {
            get { return _employees; }
            set { Set(() => Employees, ref _employees, value); }
        }

        public RelayCommand<DataRecord> DeleteCommand { get; private set; }

        public MainViewModel()
        {
            DeleteCommand = new RelayCommand<DataRecord>(OnDeleteUser);

            _employees = new ObservableCollection<Employee>
            {
                new Employee {FirstName = "a", LastName = "b"},
                new Employee {FirstName = "c", LastName = "d"}
            };
        }

        private void OnDeleteUser(DataRecord record)
        {
            Employees.RemoveAt(0);
        }
    }
}